org.eclipse.gef.cloudio.internal.ui.view

## Class CloudOptionsComposite

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.gef.cloudio.internal.ui.view.CloudOptionsComposite

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable

    public class CloudOptionsComposite
    extends org.eclipse.swt.widgets.Composite

Provides options to modify the rendering of a `TagCloudViewer` using an `IEditableCloudLabelProvider`.

### Field Summary

Fields
`protected java.util.List<org.eclipse.swt.graphics.RGB>` `colors`
`protected java.util.List<java.util.List<org.eclipse.swt.graphics.RGB>>` `colorSchemes`
`protected int` `currentScheme`
`protected java.util.List<org.eclipse.swt.graphics.FontData>` `fonts`
`protected TagCloudViewer` `viewer`

### Fields inherited from class org.eclipse.swt.widgets.Control

`view`

### Constructor Summary

Constructors
Constructor and Description
`CloudOptionsComposite(org.eclipse.swt.widgets.Composite parent, int style, TagCloudViewer viewer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.swt.widgets.Group` `addColorButtons(org.eclipse.swt.widgets.Composite parent)`
`protected org.eclipse.swt.widgets.Group` `addFontButtons(org.eclipse.swt.widgets.Composite parent)`
`protected void` `addGroups()`
`protected org.eclipse.swt.widgets.Group` `addLayoutButtons(org.eclipse.swt.widgets.Composite parent)`
`protected void` `addScheme(org.eclipse.swt.graphics.RGB... rgbs)`
`protected org.eclipse.swt.graphics.Image` `createImageFromColor(org.eclipse.swt.graphics.RGB rgb, int size)`
`java.util.List<org.eclipse.swt.graphics.RGB>` `getColors()`
`java.util.List<org.eclipse.swt.graphics.FontData>` `getFonts()`
`protected void` `initColors()`
`protected void` `nextColors()`
`protected void` `updateColors()`
`protected void` `updateFonts()`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, computeSize, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

### Field Detail

#### viewer

    protected TagCloudViewer viewer

#### colors

    protected java.util.List<org.eclipse.swt.graphics.RGB> colors

#### fonts

    protected java.util.List<org.eclipse.swt.graphics.FontData> fonts

#### colorSchemes

    protected java.util.List<java.util.List<org.eclipse.swt.graphics.RGB>> colorSchemes

#### currentScheme

    protected int currentScheme

### Constructor Detail

#### CloudOptionsComposite

    public CloudOptionsComposite(org.eclipse.swt.widgets.Composite parent,
                                 int style,
                                 TagCloudViewer viewer)

### Method Detail

#### addGroups

    protected void addGroups()

#### addScheme

    protected void addScheme(org.eclipse.swt.graphics.RGB... rgbs)

#### updateColors

    protected void updateColors()

#### updateFonts

    protected void updateFonts()

#### initColors

    protected void initColors()

#### nextColors

    protected void nextColors()

#### addFontButtons

    protected org.eclipse.swt.widgets.Group addFontButtons(org.eclipse.swt.widgets.Composite parent)

#### createImageFromColor

    protected org.eclipse.swt.graphics.Image createImageFromColor(org.eclipse.swt.graphics.RGB rgb,
                                                                  int size)

#### addColorButtons

    protected org.eclipse.swt.widgets.Group addColorButtons(org.eclipse.swt.widgets.Composite parent)

#### addLayoutButtons

    protected org.eclipse.swt.widgets.Group addLayoutButtons(org.eclipse.swt.widgets.Composite parent)

#### getColors

    public java.util.List<org.eclipse.swt.graphics.RGB> getColors()

#### getFonts

    public java.util.List<org.eclipse.swt.graphics.FontData> getFonts()